%define tarball Pam_cas
%define minorversion 2.0.7
%define version 2.0.11
%define release %{minorversion}.0.beta1

Summary: PAM module to authenticate on a CAS server
Name: pam_cas
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: System Environment/Base
Source: %{version}-esup-%{minorversion}.tar.gz
Patch0: Pam_cas-2.0.11-esup-2.0.5-PIC.patch
URL: http://sourcesup.cru.fr/frs/?group_id=213
BuildRoot: /var/tmp/%{name}-root

BuildRequires: pam-devel
BuildRequires: openssl-devel


%description
This package provide PAM authentication using CAS.

%prep
#%setup -q -n %{tarball}-%{version}-esup-%{minorversion}
%setup -q -n esup-pam-cas-%{version}-esup-%{minorversion}
#%patch0 -p1

%build
cd sources
mv Makefile.redhat Makefile

make
make test

%install
%{__mkdir_p} %{buildroot}/%{_lib}/security
%{__mkdir_p} %{buildroot}/%{_bindir}
%{__mkdir_p} %{buildroot}/%{_sysconfdir}
%{__install} -m 700 -d %{buildroot}/%{_localstatedir}/pam_cas
%{__install} -m 755 sources/pam_cas.so %{buildroot}/%{_lib}/security
%{__install} -m 755 sources/castest %{buildroot}/%{_bindir}
%{__install} -m 644 pam_cas.conf %{buildroot}/%{_sysconfdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL LICENCE CHANGELOG
/%{_lib}/security/pam_cas.so
%{_bindir}/castest
%dir %{_localstatedir}/pam_cas
%config(noreplace) %{_sysconfdir}/pam_cas.conf

%changelog
* Wed Jul 26 2017 Daniel B. <daniel@firewall-services.com> 2.0.11-esup-2.0.7-1
- Update to 2.0.11-esup-2.0.7 which fixes response 400 with httpd

* Thu Feb 16 2017 Daniel B. <dani@firewall-services.com> 2.0.11-esup-2.0.6-1
- Update to https://github.com/EsupPortail/esup-pam-cas

* Fri Mar 25 2011 Daniel B. <dani@firewall-services.com> 2.0.11-1
- Initial package
